commit:     70704cb577a60662d50488670aff5db35893af8b
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 26 11:12:50 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Oct 26 13:35:45 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70704cb5

dev-python/bottle: Version Bump

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/bottle/Manifest             |  1 +
 dev-python/bottle/bottle-0.12.9.ebuild | 48 ++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-python/bottle/Manifest b/dev-python/bottle/Manifest
index 37edbbd..58c0ff3 100644
--- a/dev-python/bottle/Manifest
+++ b/dev-python/bottle/Manifest
@@ -1,2 +1,3 @@
 DIST bottle-0.12.7.tar.gz 69375 SHA256 
e3ea2191f06ca51af45bf6ca41ed2d1b2d809ceda0876466879fe205be7b2073 SHA512 
ef58c0ec3b09b237914a170aae59a577a59e579478cd5f1bcef9fe73a9d3a4776794263d6f7b60dd426629aec2987ee4c3f6b8fa0486a99879792c70e373fcbc
 WHIRLPOOL 
dc6a34f9819ed77b0b05c01c13efe553af37fc9c32cfe955d6199277a8e38992a0e4982b8e67b0aab12349f15434d094ec7674a7970c71e264e72f3b74c617f0
 DIST bottle-0.12.8.tar.gz 69414 SHA256 
cd5d1755a85e533205ed8a2465badf38602227c5f171c3852e07724b28c050ac SHA512 
85fbdac6f7ae804a74bc527bb47bcdb5cf653a0227efe36e81e25513b687dd4abc1f772ff7232bd914cb392dea07297154d80aa05b1216c1f796dbed0d5a9510
 WHIRLPOOL 
833f434683f18511560973a9b0defeaa048ec21d0c60d30c69b11fc12f0ea4511a693a532d227b4ef419c99e664ba26384a95111950bf2ec1128a5509d8a0259
+DIST bottle-0.12.9.tar.gz 69516 SHA256 
fe0a24b59385596d02df7ae7845fe7d7135eea73799d03348aeb9f3771500051 SHA512 
c11d3cb916a0912dcda953a25b9e3a4c6f8e68e31bbaba653f1cae0e12f6b6d827fcbc9d1dfbdb9af2e28276b0056a31fa863d3723a709911406f426d528840b
 WHIRLPOOL 
03f2a43002110b7e2aaf3d477d249b804db20cc68a0c534a059e1c0937ed574c1b6f00fd5ffe43acd027425e9e40815269af617a769cce74e5ca5f25b25dc0e7

diff --git a/dev-python/bottle/bottle-0.12.9.ebuild 
b/dev-python/bottle/bottle-0.12.9.ebuild
new file mode 100644
index 0000000..a6eab37
--- /dev/null
+++ b/dev-python/bottle/bottle-0.12.9.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy pypy3 )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="A fast and simple micro-framework for small web-applications"
+HOMEPAGE="https://pypi.python.org/pypi/bottle http://bottlepy.org/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="test"
+
+DEPEND="test? ( dev-python/mako[$(python_gen_usedep 'python*')] )"
+RDEPEND=""
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-0.12.8-py3.5-backport.patch
+)
+
+python_prepare_all() {
+       sed -i -e '/scripts/d' setup.py || die
+
+       # Remove test file requring connection to network
+       rm ./test/test_server.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       # A few odd fails in the suite under pypy
+       # https://github.com/bottlepy/bottle/issues/714
+       "${PYTHON}" test/testall.py || die "tests failed under ${EPYTHON}"
+}
+
+pkg_postinst() {
+       optfeature "Templating support" dev-python/mako
+       elog "Due to problems with bottle.py being in /usr/bin (see bug 
#474874)"
+       elog "we do as most other distros and do not install the script 
anymore."
+       elog "If you do want/have to call it directly rather than through your 
app,"
+       elog "please use the following instead:"
+       elog '  `python -m bottle`'
+}

Reply via email to